package com.vechain.vechainnfcverifydemo;

import android.content.Context;
import android.text.TextUtils;

import com.vechain.common.register.SignAction;
import com.vechain.common.register.SignNotifier;
import com.vechain.tools.signlib.cert.CertUtils;

public class MySignAction implements SignAction {


    @Override
    public void sign(Context context, String challengeId, SignNotifier signNotifier) {
        String certString = GlobalConfig.CertString;
        String privateKeyString = GlobalConfig.PrivateKey;
        String verifyId = GlobalConfig.VerifyId;


        //More Detail about how to sign the challengeId and get signature, refers to Appendix A: FAQ -  How to Sign ChallengeID
        String signature = CertUtils.getSignInfo(certString, privateKeyString, challengeId);

        signNotifier.onSignResult(signature, verifyId);
    }
}
